curl --request POST \
--url https://api.example.com/cabinet/subscription/purchase \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"selection": {
"period_id": "<string>",
"period_days": 1825,
"traffic_value": 50000,
"servers": [
"<string>"
],
"devices": 50
}
}
'{}Submit subscription purchase (deduct from balance, classic mode only).
curl --request POST \
--url https://api.example.com/cabinet/subscription/purchase \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"selection": {
"period_id": "<string>",
"period_days": 1825,
"traffic_value": 50000,
"servers": [
"<string>"
],
"devices": 50
}
}
'{}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Request to preview purchase pricing.
User's selection for subscription purchase.
Show child attributes
Successful Response
The response is of type Response Submit Purchase Cabinet Subscription Purchase Post · object.